Get the list of transactions
Returns the list of transactions from account account_id linked to bank connection bank_connection_id for consumer consumer_id.
GET
/
consumers
/
{consumer_id}
/
banks
/
{bank_connection_id}
/
accounts
/
{bank_account_id}
/
transactions
Get the list of transactions
curl --request GET \
--url https://api.example.com/consumers/{consumer_id}/banks/{bank_connection_id}/accounts/{bank_account_id}/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/consumers/{consumer_id}/banks/{bank_connection_id}/accounts/{bank_account_id}/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/consumers/{consumer_id}/banks/{bank_connection_id}/accounts/{bank_account_id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"amount": 123,
"raw_label": "<string>",
"executed_at": "2023-11-07T05:31:56Z",
"is_realtime": false,
"label": "<string>",
"truncated_pan": "<string>",
"country_code": "<string>",
"brand": {
"id": "<string>",
"name": "<string>",
"mcc": "<string>",
"address": "<string>",
"city": "<string>",
"post_code": "<string>",
"country": "<string>",
"category_code": "<string>",
"public_reference": "<string>"
},
"store": {
"id": "<string>",
"post_code": "<string>",
"city": "<string>",
"address": "<string>",
"country": "<string>",
"name": "<string>",
"category_code": "<string>",
"public_reference": "<string>",
"merchant_id": "<string>"
},
"scheme": "visa",
"authorization_id_response": "1A2B3C",
"retrieval_reference_number": "1A2B3C4D5E6F",
"truncated_dpan": "<string>"
}
],
"meta": {
"links": {
"first": "/api/example?page=1&per_page=50",
"last": "/api/example?page=5&per_page=50",
"self": "/api/example?page=3&per_page=50",
"next": "/api/example?page=4&per_page=50",
"prev": "/api/example?page=2&per_page=50"
},
"page": 1,
"per_page": 50,
"total": 1000
}
}{
"message": "Bad Request"
}{
"message": "Missing or invalid Authorization Header."
}{
"message": "You don’t have permission to access this resource."
}{
"message": "Resource Not Found"
}{
"message": "Conflict error"
}{
"message": "Internal Server Error"
}Authorizations
Enter your "Injector" API Key
See Authentication section for more information
Path Parameters
Bank account uuid
Bank connection uuid
Unique ID of the consumer that you have registered when the user was onboarded.
Required string length:
2 - 100Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 1000Was this page helpful?
Previous
Create a transactionCreates a transaction on account `account_id` linked to bank connection `bank_connection_id` for consumer `consumer_id`.
Next
⌘I
Get the list of transactions
